ranges::protector< Bind > Struct Template Reference
Functional

## Public Member Functions

template<typename... Ts>
auto | operator() (Ts &&...ts) noexcept(noexcept(decltype(bind_(static_cast< Ts &&>(ts)...))(bind_(static_cast< Ts &&>(ts)...)))) -> decltype(bind_(static_cast< Ts &&>(ts)...))
template<typename... Ts>
auto | operator() (Ts &&...ts) return bind_(static_cast< Ts &&>(ts)...) noexcept(noexcept(decltype(CPP_AUTO_FUN_RETURNS_const)(CPP_AUTO_FUN_RETURNS_const))) -> decltype(CPP_AUTO_FUN_RETURNS_const)
| protector (Bind b)

## Member Function Documentation

## operator()()

template<typename Bind >
template<typename... Ts>

auto ranges::protector< Bind >::operator() | ( | Ts &&... | ts | ) | && -> decltype( CPP_AUTO_FUN_RETURNS_const )

noexcept

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.